LASs - Linear Algebra Routines on OmpSs 1.0.0 LASs

- Main Page
- Files

- File List
- File Members

Functions
ddss_dnpgetrf.c File Reference

LASs-DDSs ddss_dnpgetrf routine. More...

`#include "../include/lass.h"`
Include dependency graph for ddss_dnpgetrf.c:

Go to the source code of this file.

## Functions
int | ddss_dnpgetrf (int M, int N, double *A, int LDA)

## Detailed Description

LASs-DDSs ddss_dnpgetrf routine.

LASs-DDSs is a software package provided by: Barcelona Supercomputing Center - Centro Nacional de Supercomputacion

Author
  Pedro Valero-Lara pedro.nosp@m..val.nosp@m.ero@b.nosp@m.sc.e.nosp@m.s
  Boro Sofranac boro..nosp@m.sofr.nosp@m.anac@.nosp@m.bsc..nosp@m.es

Date
  2018-04-06

Definition in file ddss_dnpgetrf.c.

## Function Documentation

int ddss_dnpgetrf | ( | int | M,
|  | int | N,
|  | double * | A,
|  | int | LDA
| ) |  |

Performs the LU factorization without pivoting of a general M-by-N matrix A:

    A = L * U

where L is a lower triangular ( lower trapezoidal if M > N ) matrix with unit diagonal elements and U is an upper triangular ( upper trapezoidal if M < N ) matrix.

Parameters

  [in] | M | int. M specifies the number of rows of the matrix A. M >= 0.
  [in] | N | int. N specifies the number of columns of the matrix A. N >= 0.
  [in,out] | A | double *. A is a pointer to a regular matrix of dimension M-by-N. On exit, if return value is Success, the matrix A is overwriten by the factors L and U. The unit diagonal elements of L are not stored.
  [in] | LDA | int. LDA specifies the number of columns of A ( row-major order ). LDA must be at least max( 1, N ).

Return values

  Success | successful exit
  NoSuccess | unsuccessful exit

See also
  knpdgetrf

Definition at line 70 of file ddss_dnpgetrf.c.

References kdnpgetrf().

71 {
72
73 // Argument checking
74 if ( M < 0 )
75 {
76 fprintf( stderr, "Illegal value of M, in ddss_dnpgetrf code\n" );
77 return NoSuccess;
78 }
79
80 if ( N < 0 )
81 {
82 fprintf( stderr, "Illegal value of N, in ddss_dnpgetrf code\n" );
83 return NoSuccess;
84 }
85
86 if ( LDA < MAX( 1, N ) )
87 {
88 fprintf( stderr, "Illegal value of LDA, in ddss_dnpgetrf code\n" );
89 return NoSuccess;
90 }
91
92 // Qick return
93 if ( MIN( M, N ) == 0 )
94 {
95 return Success;
96 }
97
98 return kdnpgetrf( M, N, A, LDA );
99
100 }
kdnpgetrf
enum LASS_RETURN kdnpgetrf(int M, int N, double *A, int LDA)
Definition: kdnpgetrf.c:74